// JavaScript Document
$(document).ready(function(e) {
	// ** Accordion Headers
	$('.accordion-toggle').addClass('collapsed').attr('role', 'tab').attr('aria-setsize', $('.accordion-toggle').length);
	$('.accordion-toggle').each(function(index, element){
		var tabContentID = $(this).attr('href');
		$(this).attr('aria-controls', tabContentID.substring(1, tabContentID.length));
		(index == 0) ? $(this).attr('aria-selected', true) : $(this).attr('aria-selected', false);
		var tabIndex = (index + 1);
		$(this).attr('tabindex', tabIndex);
		$(this).attr('aria-posinset', tabIndex);
	});
    $('.accordion-toggle:first').removeClass('collapsed');

	// ** Accordion Body Content
    $('.collapse').attr('role', 'tabpanel').attr('role', 'presentation').attr('aria-hidden', true).attr('aria-expanded', false);
	$('.collapse').each(function(index, element){
		$(this).attr('aria-labelledby', 'tab' + (index + 1));
		$(this).attr('role', 'presentation');
	});
    $('.collapse.in').attr('aria-hidden', false).attr('aria-expanded', true)/*.attr('role', 'alert')*/;

	// ** Event Handlers
	$('.accordion').on('show', function (event) {
		$(event.target).parent('.accordion-group').find('.open-accordian').addClass('close-accordian').removeClass('open-accordian');
		//console.log('SHOW || '+$(event.target).attr('id')+" : "+$(event.delegateTarget).attr('id')+" : "+$(event.currentTarget).attr('id'));
    	$('a.accordion-toggle[href="#'+$(event.target).attr('id')+'"]').attr('aria-selected', true).removeClass('collapsed');
    	$('a.accordion-toggle[href="#'+$(event.target).attr('id')+'"]').parent().addClass('selected');
    	$(event.target).attr('aria-hidden', false).attr('aria-expanded', true).attr('role', 'alert').focus();
    	//$(event.target).attr('aria-hidden', false).attr('aria-expanded', true).focus();
    });

	$('.accordion').on('hide', function (event) {
		//console.log('HIDE || '+$(event.target).attr('id')+" : "+$(event.delegateTarget).attr('id')+" : "+$(event.currentTarget).attr('id'));
    	$('a.accordion-toggle[href="#'+$(event.target).attr('id')+'"]').attr('aria-selected', false).addClass('collapsed');
    	$('a.accordion-toggle[href="#'+$(event.target).attr('id')+'"]').parent().removeClass('selected');
    	$(event.target).attr('aria-hidden', true).attr('aria-expanded', false).attr('role', 'presentation');
    	
		
		$(event.target).parent('.accordion-group').find('.close-accordian').addClass('open-accordian').removeClass('close-accordian');
    	//$(event.target).attr('aria-hidden', true).attr('aria-expanded', false);
    });
});