// JavaScript Document

$(document).ready(function(e) {
	var totalButtons = $('.img-btn-container a[id^="btn"], .bullets-container a[id^="btn"], .simple-btn-container a[id^="btn"], .transcript-btn-container a[id^="btn"]').length;
    $('.img-btn-container a[id^="btn"], .bullets-container a[id^="btn"], .simple-btn-container a[id^="btn"], .transcript-btn-container a[id^="btn"]').attr(
    	'role', 'button'
    ).attr(
    	'aria-selected', 'false'
    ).click(
    	function(e) {
	        e.preventDefault();
	        if ($(this).hasClass('ariaDisabled')) {
	            return;
	        }
	        var popupNo = $(this).attr('id').substr(3);
	        openARIAPopup($('#popup' + popupNo), 700, 500, this, '');
    	}
    ).each(function(index, element){
    	var tabIndex = (index + 1);
    	$(element).attr('aria-posinset', tabIndex);
    	$(element).attr('tabindex', tabIndex);
    	$(element).attr('aria-label', 'Item '+tabIndex+' of '+totalButtons+'. '+$(element).text());
    });

});

function disableScreen(p_bEnable){
	var bEnable = (p_bEnable) ? 'true' : 'false';
	$('.activity-header').attr('aria-hidden', bEnable);
	$('#leadin-wrap').attr('aria-hidden', bEnable);
	$('#branch-wrap').attr('aria-hidden', bEnable);
}

