// JavaScript Document
var storedActivityID_main;
var isMMCQG = false;
var isAllSelected = false;
var grpObj = {};
function init_MMCQ() {
    var storedActivityID;
    $('.checkbox').each(function(index, element) {
        //var skinURL = ($(this).is(':checked')) ? 'url(images/checkbox_over.png)' : 'url(images/checkbox_up.png)';
        //$('#'+$(this).attr('id')+'_lbl').css('backgroundImage', skinURL);
        var activityID = getActivityID($(this).attr('id'));
        if (isMMCQG) {
            activityID = activityID.substr(0, activityID.lastIndexOf("_"));
        }
        var checkboxID = $(this).attr('id');
        var $checkboxBtn = $(this);
        var $checkboxLbl = $checkboxBtn.parent().find('label.checkbox-label');
        $checkboxBtn.attr('checked', null).attr('tabindex', (index + 0)).attr('aria-posinset', (index + 1)).attr('aria-label', $checkboxLbl.text());
        $checkboxLbl.attr('aria-hidden', true);

        $(this).on("click", {
            activityID : activityID,
            checkboxID : checkboxID
        }, mouseEventHandler_MMCQ);
        
        $checkboxBtn.siblings('.checkbox-label.button').prepend('<span class="checkbox_states"></span>');

        var jqSubmitBtn = $('#' + activityID).find('a[id$="_submit"]');
        if (activityID != storedActivityID) {
            storedActivityID = activityID;
            storedActivityID_main = activityID;
            // var jqSubmitBtn = $('#' + activityID).find(':submit');
            // jqSubmitBtn.addClass('button-images-submit-disabled');
            jqSubmitBtn.removeClass('simple-btn').addClass('simple-btn-disabled');
            jqSubmitBtn.on('click', {
                activityID : activityID
            }, onSubmit_MMCQ);
        }
        jqSubmitBtn.attr('aria-disabled', 'true').attr('tabindex', (index + 2));
        // console.log((index + 1) + ' : ' + jqSubmitBtn + ' : ' + (index + 2));
    });

    $('input[type="checkbox"]').attr('aria-setsize', $('input[type="checkbox"]').length);
    $(':checkbox').focus(function() {
        $(this).parent().find('label').addClass('focus');
    }).blur(function() {
        $(this).parent().find('label').removeClass('focus');
    });
}

function init_MMCQGroup() {
    isMMCQG = true;
    init_MMCQ();
}

function mouseEventHandler_MMCQ(event) {
    var activityID = event.data.activityID;
    var checkboxID = event.data.checkboxID;

    var checkboxLabelObj = $('#' + checkboxID + '_lbl');
    var checkboxGroupID = $('#' + checkboxID).parent().attr("id");
    //console.log("mouseEventHandler_MMCQ() | Checkbox ID = " + checkboxID + " : Label Object = " + checkboxLabelObj + " : Checkbox Group ID = " + checkboxGroupID + ' : Checked = ' + $('#' + checkboxID).is(':checked'));

    // ** If the Label ID does not map to the Checkbox Button's ID throw an error
    if (checkboxLabelObj == null) {
        alert('ERROR: Label ID doesn&apos;t map to the Checkbox button ID. The label ID need to be: checkboxID + "_lbl".');
        return;
    }

    // console.log('== CLICK ========================== ' + activityID);
    $('.checkbox:input[id^=' + activityID + ']').each(function(index, element) {
        var activityID = getActivityID($(this).attr('id'));
        var checkboxObj = $(this);
        var groupID = checkboxObj.attr('name');
        grpObj[groupID] = groupID;
        if (globalScope[groupID + "_obj"] == undefined) {
            globalScope[groupID + "_obj"] = {
                name : groupID
            };
        }
        globalScope[groupID + "_obj"].len = 0;
        globalScope[groupID + "_obj"].cnt = 0;
    });

    $('.checkbox:input[id^=' + activityID + ']').each(function(index, element) {
        var activityID = getActivityID($(this).attr('id'));
        var checkboxObj = $(this);
        var groupID = checkboxObj.attr('name');
        globalScope[groupID + "_obj"].len++;
        if (checkboxObj.is(':checked')) {
            globalScope[groupID + "_obj"].cnt++;
        }
        // console.log(groupID + ' : ' + checkboxObj.is(':checked') + ' : ' + globalScope[groupID + "_obj"].len + ' : ' + globalScope[groupID + "_obj"].cnt + ' : ' + grpObj[groupID]);
    });

    var unSelCnt = 0;
    for (var a in grpObj) {
        // console.log(a + ' : ' + globalScope[a + "_obj"].cnt);
        if (globalScope[a + "_obj"].cnt < 1) {
            unSelCnt++;
        }
    }
    isAllSelected = (unSelCnt > 0) ? false : true;
    // console.log('isAllSelected: ' + isAllSelected);

    // ** Updating the checked Checkbox Button Skin
    //var imageURL = checkboxLabelObj.css('background-position');
    //var o = getImageName(imageURL);
    //var skinURL = ($('#' + checkboxID).is(':checked')) ? 'url(images/checkbox_over.png)' : 'url(images/checkbox_up.png)';
    //var skinURL = ($('#'+checkboxID).is(':checked')) ? 'url('+o.fileName+'_over.'+o.ext+')' : 'url('+o.fileName+'_up.'+o.ext+')';

    // var skinURL = ($('#'+checkboxID).is(':checked')) ? '0px -16px' : '0px 0px';
    // checkboxLabelObj.css('background-position', skinURL);

    // console.log($('#' + checkboxID).is(':checked'));
    var skinClass = ($('#' + checkboxID).is(':checked')) ? 'checkbox-label-checked' : 'checkbox-label-unchecked';
    var skinRemoveClass = ($('#' + checkboxID).is(':checked')) ? 'checkbox-label-unchecked' : 'checkbox-label-checked';
    checkboxLabelObj.addClass(skinClass).removeClass(skinRemoveClass);
    checkboxLabelObj.find('.checkbox_states').addClass(skinClass).removeClass(skinRemoveClass);

    updateSubmitButtonState_MMCQ(checkboxID);
}

function updateSubmitButtonState_MMCQ(objectID) {
    var activityID = getActivityID(objectID);
    if (isMMCQG) {
        activityID = activityID.substr(0, activityID.lastIndexOf("_"));
    }
    var userAnswers = [];
    $('#' + activityID).find('.checkbox:checked').each(function(index, element) {
        userAnswers.push($(this).val());
    });

    var enableSubmit = true;
    $('.checkbox:input[id^=' + activityID + ']').each(function(index, element) {
        var activityID = getActivityID($(this).attr('id'));
        var checkboxObj = $(this);
        var groupID = checkboxObj.attr('name');
        // console.log("checkbox ID = " + groupID + ' : ' + globalScope[groupID + "_isChecked"]);
        // console.log("# " + groupID + '_isChecked : ' + globalScope[groupID + "_len"] + ' : ' + globalScope[groupID + "_selLen"]);
        if (globalScope[groupID + "_selected"] == undefined) {
            enableSubmit = false;
        }
    });

    // console.log("updateSubmitButtonState_MMCQ() | " + enableSubmit + " : " + userAnswers + " : " + userAnswers.length + " : " + isAllSelected);
    var jqSubmitBtn = $('#' + activityID + '_submit');
    if (jqSubmitBtn.attr('id') != undefined) {
        if (userAnswers.length > 0 && isAllSelected) {// ** Enable Submit button
            /*jqSubmitBtn.removeClass('button-images-submit-disabled');
             jqSubmitBtn.addClass('button-images-submit button');
             jqSubmitBtn.removeAttr('disabled');*/
            jqSubmitBtn.attr('aria-disabled', 'false');
            jqSubmitBtn.removeClass('simple-btn-disabled').addClass('simple-btn');
        } else {// ** Disable Submit button
            /*jqSubmitBtn.removeClass('button-images-submit button');
             jqSubmitBtn.addClass('button-images-submit-disabled');
             jqSubmitBtn.attr('disabled', 'disabled');*/
            jqSubmitBtn.attr('aria-disabled', 'true');
            jqSubmitBtn.removeClass('simple-btn').addClass('simple-btn-disabled');
        }
    } else {
        alert('ERROR: Submit button with a matching Group / Activity ID not found. The ID needs to be: GroupID + "_submit".');
    };
}

function onSubmit_MMCQ(event) {
    //alert('onSubmit_MMCQ() | '+event.data.activityID);
    var eventTarget = event.target;
    if ($(eventTarget).hasClass('simple-btn-disabled')) {
        return;
    }
    var activityID = event.data.activityID;
    // ** Increment the attempt count
    if (globalScope[activityID + '_attemptCount'] == undefined) {
        globalScope[activityID + '_attemptCount'] = 0;
    }
    globalScope[activityID + '_attemptCount'] += 1;

    // ** Get the User Answers
    var userAnswers = [];
    var buttonId;

    $('#' + activityID).find('.checkbox:checked').each(function() {
        //userAnswers.push($(this).val());
        buttonId = $(this).attr('id');
        if (isMMCQG) {
            userAnswers.push(getMMCQElementID(buttonId));
        } else {
            userAnswers.push(Number(getElementID(buttonId)));
        }
        // console.log(Number(getElementID(buttonId)) + " : " + buttonId);
        // console.log("Button value attribute : " + $(this).val() + " : " + buttonId);
    });

    if (!variableExists(activityID + '_correctAnswers', globalScope)) {
        return;
    };
    var correctAnswers = globalScope[activityID + '_correctAnswers'];

    if (!variableExists(activityID + '_attemptCount', globalScope)) {
        return;
    };
    var attemptCount = globalScope[activityID + '_attemptCount'];

    if (!variableExists(activityID + '_noOfTries', globalScope)) {
        return;
    };
    var noOfTries = globalScope[activityID + '_noOfTries'];

    if (!variableExists(activityID + '_showTickCross', globalScope)) {
        return;
    };
    var showTickCross = globalScope[activityID + '_showTickCross'];

    if (!variableExists(activityID + '_feedbackType', globalScope)) {
        return;
    };
    var feedbackType = globalScope[activityID + '_feedbackType'].toLowerCase();

    var userCorrectCount = getUserCorrectCount_MMCQ(userAnswers, correctAnswers);
    var userIncorrectCount = getUserIncorrectCount_MMCQ(userAnswers, correctAnswers);
    //console.log('userAnswers = '+userAnswers+' : User Correct Count = '+userCorrectCount+' : User Incorrect Count = '+userIncorrectCount);

    var feedbackID;
    var correct = false;

    var finUserAnswerStr = userAnswers.toString();

    if (isMMCQG) {
        var userAnswers_procArr = [];
        for ( i = 0; i < userAnswers.length; i++) {
            userAnswers_procArr.push(userAnswers[i][1]);
        }
        // console.log(correctAnswers.toString() + ' == ' + userAnswers_procArr.toString());
        finUserAnswerStr = userAnswers_procArr.toString();
    }

    if (correctAnswers.toString() == finUserAnswerStr && userIncorrectCount == 0) {
        // ** All Correct
        //console.log('Correct');
        correct = true;
        feedbackID = getFeedbackID_MMCQ('correct', activityID);
    } else {
        // ** Incorrect
        //console.log('Incorrect');
        if (userCorrectCount > 0 && feedbackType == 'correctincorrectpartial') {
            // ** Partially Correct Feedback
            feedbackID = getFeedbackID_MMCQ('partial', activityID);
        } else {
            // ** ALL Incorrect Feedback
            feedbackID = getFeedbackID_MMCQ('incorrect', activityID);
        }
    }

    //showFeedback(feedbackID, popupARIA);
    // console.log('feedbackID: ' + feedbackID);
    showFeedback(feedbackID, popupARIA, window.document);

    if (attemptCount == noOfTries || correct) {
        // ** Disable Activity
        disableActivity_MMCQ(activityID);
        if (showTickCross) {
            $('div[id*="tickcross"]').each(function(index) {
                $(this).removeClass('hidden');
            });
            //$('#' + activityID + "_tickcross").removeClass("hidden");

            try {
                $('span[id^="indicator_"]').removeClass("hidden");
                $('span[id^="indicator_"]').removeClass("hide");
            } catch(exception) {
            }
        }
    }
}

function getFeedbackID_MMCQ(evaluation, activityID) {
    //console.log('getFeedbackID_MMCQ() | evaluation = '+evaluation+' : Activity ID = '+activityID);
    var feedbackID;
    var feedbackType = globalScope[activityID + '_feedbackType'].toLowerCase();
    var attemptCount = globalScope[activityID + '_attemptCount'];

    if (feedbackType == "generic") {
        feedbackID = activityID + "_generic";
    } else if (feedbackType == "correctincorrect" || feedbackType == "correctincorrectpartial") {
        feedbackID = activityID + "_" + evaluation + "_" + attemptCount;
    } else {
        alert('ERROR: Feedback Type specified "' + feedbackType + '" is invalid. Valid feedback types are:\n1) Generic\n2) CorrectIncorrect\n3) CorrectIncorrectPartial');
    }
    //console.log("FB ID = "+feedbackID);

    return feedbackID;
}

function getUserCorrectCount_MMCQ(userAnswers, correctAnswers) {
    userCorrectCount = 0;
    var i = 0;
    var j = 0;
    var k = 0;
    // console.log('COR: ' + userAnswers.length + ' : ' + userAnswers);
    if (!isMMCQG) {
        for ( i = 0; i < userAnswers.length; i++) {
            // console.log('getUserCorrectCount_MMCQ() | userAnswers[' + i + '] = ' + userAnswers[i] + ' :: ' + correctAnswers.indexOf(userAnswers[i]) + ' :: correctAnswers = ' + correctAnswers);
            // console.log('userAnswers ' + userAnswers[i]);
            for ( j = 0; j < correctAnswers.length; j++) {
                // console.log(userAnswers[i] + ' == ' + correctAnswers[j]);
                if (userAnswers[i] == correctAnswers[j]) {
                    userCorrectCount++;
                    break;
                }
            }
        }
    } else {
        var userAnswers_procArr = [];
        //-- Pre-process user answers to required data structure
        for ( i = 0; i < userAnswers.length; i++) {
            // console.log(i + ' : ' + userAnswers[i] + ' : ' + userAnswers_procArr[userAnswers[i][0] - 1]);
            if (userAnswers_procArr[userAnswers[i][0] - 1] == undefined) {
                userAnswers_procArr[userAnswers[i][0] - 1] = [userAnswers[i][1]];
            } else {
                userAnswers_procArr[userAnswers[i][0] - 1].push(userAnswers[i][1]);
            }
        }
        //-- Iterate to find correct counts
        for ( i = 0; i < correctAnswers.length; i++) {
            //-- Will run once for each row
            for ( j = 0; j < userAnswers_procArr[i].length; j++) {
                //-- Will run once for user ans per row
                // console.log(userAnswers_procArr[i] + ' : ' + userAnswers_procArr[i][j] + ' ## ' + correctAnswers[i]);
                for ( k = 0; k < correctAnswers[i].length; k++) {
                    if (correctAnswers[i][k] == userAnswers_procArr[i][j]) {
                        // console.log('       ' + correctAnswers[i][k] + ' ==? ' + userAnswers_procArr[i][j]);
                        userCorrectCount++;
                        break;
                    }
                }
            }
            // console.log('---------------------------');
        }
    }
    // console.log('userCorrectCount: ' + userCorrectCount);
    return userCorrectCount;
}

function getUserIncorrectCount_MMCQ(userAnswers, correctAnswers) {
    userIncorrectCount = 0;
    var i = 0;
    var j = 0;
    var k = 0;
    // console.log('INC: ' + userAnswers.length + ' : ' + userAnswers);
    if (!isMMCQG) {
        for ( i = 0; i < userAnswers.length; i++) {
            //console.log('getUserIncorrectCount_MMCQ() | userAnswers['+i+'] = '+userAnswers[i]+' :: '+correctAnswers.indexOf(userAnswers[i])+' :: correctAnswers = '+correctAnswers);
            for ( j = 0; j < correctAnswers.length; j++) {
                if (userAnswers[i] == correctAnswers[j]) {
                    break;
                }
                if (j == (correctAnswers.length - 1)) {
                    userIncorrectCount++;
                }
            }
        }
    } else {
        var userAnswers_procArr = [];
        //-- Pre-process user answers to required data structure
        for ( i = 0; i < userAnswers.length; i++) {
            // console.log(i + ' : ' + userAnswers[i] + ' : ' + userAnswers_procArr[userAnswers[i][0] - 1]);
            if (userAnswers_procArr[userAnswers[i][0] - 1] == undefined) {
                userAnswers_procArr[userAnswers[i][0] - 1] = [userAnswers[i][1]];
            } else {
                userAnswers_procArr[userAnswers[i][0] - 1].push(userAnswers[i][1]);
            }
        }
        //-- Iterate to find correct counts
        for ( i = 0; i < correctAnswers.length; i++) {
            //-- Will run once for each row
            for ( j = 0; j < userAnswers_procArr[i].length; j++) {
                //-- Will run once for user ans per row
                // console.log(userAnswers_procArr[i] + ' : ' + userAnswers_procArr[i][j] + ' ## ' + correctAnswers[i]);
                for ( k = 0; k < correctAnswers[i].length; k++) {
                    if (correctAnswers[i][k] == userAnswers_procArr[i][j]) {
                        // console.log('       ' + correctAnswers[i][k] + ' ==? ' + userAnswers_procArr[i][j]);
                        break;
                    }
                    if (k == (correctAnswers[i].length - 1)) {
                        userIncorrectCount++;
                    }
                }
            }
            // console.log('---------------------------');
        }
    }
    // console.log('userIncorrectCount: ' + userIncorrectCount);
    return userIncorrectCount;
}

function disableActivity_MMCQ(activityID) {
    //console.log('disableActivity_MMCQ() | Activity ID = '+activityID);
    var storedActivityID;
    $('#' + activityID).find('.checkbox').each(function(index, element) {
        $(this).removeClass('button').addClass('isOver');
        $(this).attr('disabled', 'disabled');
        var jqLabelObj = $('#' + $(this).attr('id') + '_lbl');

        // ** Updating the checked Checkbox Button Skin
        // var skinURL = ($(this).is(':checked')) ? '0px -48px' : '0px -32px';
        // jqLabelObj.css('background-position', skinURL);

        var skinClass = ($(this).is(':checked')) ? 'checkbox-label-checked-disabled' : 'checkbox-label-unchecked-disabled';
        jqLabelObj.addClass(skinClass);
		jqLabelObj.find('.checkbox_states').addClass(skinClass);
        jqLabelObj.removeClass('button');
        var activityID = getActivityID($(this).attr('id'));
        if (isMMCQG) {
            activityID = activityID.substr(0, activityID.lastIndexOf("_"));
        }
        if (activityID != storedActivityID) {
            storedActivityID = activityID;
            // var jqSubmitBtn = $('#' + activityID).find(':submit');
            var jqSubmitBtn = $('#' + activityID).find('a[id$="_submit"]');
            /*jqSubmitBtn.removeClass('button-images-submit button');
             jqSubmitBtn.addClass('button-images-submit-disabled');
             jqSubmitBtn.attr('disabled', 'disabled');*/
            jqSubmitBtn.attr('aria-disabled', 'true');
            jqSubmitBtn.removeClass('simple-btn').addClass('simple-btn-disabled');
        }
    });
}

function onCloseMMCQPopup(activityID) {
    //var activityID = storedActivityID_main;
    $('label[id^="' + activityID + '"]').removeClass('checkbox-label-checked').addClass('checkbox-label');
    $('label[id^="' + activityID + '"]').find('.checkbox_states').removeClass('checkbox-label-checked').addClass('checkbox-label');
    $('input:checkbox').removeAttr('checked');
    var jqSubmitBtn = $('#' + activityID).find('a[id$="_submit"]');
    jqSubmitBtn.attr('aria-disabled', 'true');
    jqSubmitBtn.removeClass('simple-btn').addClass('simple-btn-disabled');
}

function getMMCQElementID(objectID) {
    var arr = objectID.split('_');
    var idArr = [Number(arr[arr.length - 2]), Number(arr[arr.length - 1])];
    return idArr;
}

function disableScreen(p_bEnable){
	var bEnable = (p_bEnable) ? 'true' : 'false';
	$('.activity-header').attr('aria-hidden', bEnable);
	$('#leadin-wrap').attr('aria-hidden', bEnable);
	$('#branch-wrap').attr('aria-hidden', bEnable);
	if(p_bEnable){
		var activityID = storedActivityID_main;
		var jqSubmitBtn = $('#' + activityID).find('a[id$="_submit"]');
		jqSubmitBtn.focus();
	}
}